# this is <DL1logger_syslog-ng_remote.conf>
# ============================================================================
# configuration file for syslog-ng on host receiving messages from DL1
# --------------------------------------------------------------------
# 2019-06-19
# 2022-07-04 switch to syslog port
# ----------------------------------------------------------------------------
# we use the syslog port
# see /etc/services
# syslog-conn        601/tcp      # Reliable Syslog Service  [RFC3195]
#
# make sure to open this port in the firewall on the receiving host
# ============================================================================
# 
# BFO Thies DL1
destination dl1log { file("/var/log/dl1log" fsync(yes) perm(0644)); };
destination dl1logall { file("/var/log/dl1logall" fsync(yes) perm(0644)); };
source dl1 { tcp(ip(0.0.0.0) port(601)); };
filter f_dl1     { match('^DL1logger' value(MSGHDR)); }; 
filter f_dl1_notice     { match('^DL1logger' value(MSGHDR)) and not level(info); };
log { source(dl1); filter(f_dl1); destination(dl1logall); };
log { source(dl1); filter(f_dl1_notice); destination(dl1log); };
#
# remove DL1 messages from normal system log
# replace the standard filter by the following filter:
## filter f_messages   { not facility(news, mail) and not filter(f_iptables) 
##   and not filter(f_dl1); };
#
# ----- END OF DL1logger_syslog-ng_remote.conf ----- 
